The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Package Updates...

Discussion in 'General Discussion' started by Nhojohl, Oct 21, 2007.

  1. Nhojohl

    Nhojohl Well-Known Member

    Joined:
    Nov 28, 2006
    Messages:
    101
    Likes Received:
    0
    Trophy Points:
    16
    On my test server at home running CentOS5 x86_x64, when running server updates or /scripts/upcp I get the following:

    Code:
    Dependencies Resolved
    
    =============================================================================
     Package                 Arch       Version          Repository        Size 
    =============================================================================
    Installing:
     kernel-devel            x86_64     2.6.18-8.1.14.el5  updates           4.7 M
    Updating:
     bind                    x86_64     30:9.3.3-9.0.1.el5  updates           962 k
     bind-devel              i386       30:9.3.3-9.0.1.el5  updates           2.6 M
     bind-devel              x86_64     30:9.3.3-9.0.1.el5  updates           2.6 M
     bind-libs               x86_64     30:9.3.3-9.0.1.el5  updates           866 k
     bind-libs               i386       30:9.3.3-9.0.1.el5  updates           837 k
     bind-utils              x86_64     30:9.3.3-9.0.1.el5  updates           167 k
     caching-nameserver      x86_64     30:9.3.3-9.0.1.el5  updates            55 k
     cups                    x86_64     1:1.2.4-11.5.3.el5  updates           2.7 M
     cups-libs               i386       1:1.2.4-11.5.3.el5  updates           178 k
     cups-libs               x86_64     1:1.2.4-11.5.3.el5  updates           172 k
     kernel-headers          x86_64     2.6.18-8.1.14.el5  updates           764 k
     krb5-devel              i386       1.5-29           updates           1.7 M
     krb5-devel              x86_64     1.5-29           updates           1.8 M
     krb5-libs               i386       1.5-29           updates           592 k
     krb5-libs               x86_64     1.5-29           updates           601 k
     krb5-workstation        x86_64     1.5-29           updates           922 k
     libvorbis               x86_64     1:1.1.2-3.el5.0  updates           217 k
     libvorbis               i386       1:1.1.2-3.el5.0  updates           192 k
     libvorbis-devel         i386       1:1.1.2-3.el5.0  updates           541 k
     libvorbis-devel         x86_64     1:1.1.2-3.el5.0  updates           562 k
     nfs-utils-lib           x86_64     1.0.8-7.2.z2     updates            57 k
     openssl                 i686       0.9.8b-8.3.el5_0.2  updates           1.4 M
     openssl                 x86_64     0.9.8b-8.3.el5_0.2  updates           1.4 M
     openssl-devel           i386       0.9.8b-8.3.el5_0.2  updates           1.8 M
     openssl-devel           x86_64     0.9.8b-8.3.el5_0.2  updates           1.8 M
     redhat-rpm-config       noarch     8.0.45-17.0.1.el5.centos  updates            52 k
     tzdata                  noarch     2007h-1.el5      updates           746 k
     wget                    x86_64     1.10.2-7.el5     base              581 k
    Removing:
     kernel-devel            x86_64     2.6.18-8.el5     installed          15 M
    
    Transaction Summary
    =============================================================================
    Install      1 Package(s)         
    Update      28 Package(s)         
    Remove       1 Package(s)         
    
    Total download size: 31 M
    Downloading Packages:
    Running Transaction Test
    Finished Transaction Test
    
    
    Transaction Check Error:
      file /usr/share/man/man1/wget.1.gz from install of wget-1.10.2-7.el5 conflicts with file from package wget-1.10.2-3.2.1
    
    I was wondering, do I need to update any of these packages manually? I know wget had a problem with fantastico when updated at one time, and there was a problem with bind earlier in cPanel...

    Question is, should I update any of these or just leave them be?

    Thanks,
    John
     
    #1 Nhojohl, Oct 21, 2007
    Last edited: Oct 21, 2007
  2. jayh

    jayh Active Member

    Joined:
    Apr 27, 2003
    Messages:
    29
    Likes Received:
    0
    Trophy Points:
    1
    I have this issue as well. It appears the rest of the packages do not get updated because of the wget error. If the newer version of wget supports the -p switch then Fantastico will be fine. However, I don't believe there is a newer version that does.

    You could switch to wget-1.10.2-7.el5 for Cpanel updates and then go back to wget-1.10.2-3.2.1 after for Fantastico but it's a pain.

    I hope someone knows of a solution if so please post. Thank you:)
     
  3. jayh

    jayh Active Member

    Joined:
    Apr 27, 2003
    Messages:
    29
    Likes Received:
    0
    Trophy Points:
    1
    Well, it is easy to just have yum skip wget. This was in the same instructions Nutenberg had for the Fantastico wget fix.

    Add wget* to the /etc/yum.conf exclude list

    I just ran upcp --force and all is well!

    I hope this fixes my easyapache problems as well.
     
  4. Nhojohl

    Nhojohl Well-Known Member

    Joined:
    Nov 28, 2006
    Messages:
    101
    Likes Received:
    0
    Trophy Points:
    16
    Heh, i found the answer googling it a few days after I made the original post and that's exactly what I did ;)

    - John
     
Loading...

Share This Page